import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.FilterInputStream;
import java.io.IOException;
import java.io.PrintStream;

public class FileIO {
   public static void main(String[] args) {
      try {
         FileInputStream in = new FileInputStream(args[0]);
         BufferedInputStream bin = new BufferedInputStream(in);
         FileOutputStream out = new FileOutputStream(args[1]);
         BufferedOutputStream bout = new BufferedOutputStream(out);
         PrintStream pout = new PrintStream(bout);
         byte[] bArray = new byte[8];

         while(bin.available() > 0) {
            int nBytesRead = ((FilterInputStream)bin).read(bArray);

            for(int i = 0; i < nBytesRead; ++i) {
               int nByte = bArray[i];
               String s = Integer.toString(nByte, 16);
               if (s.length() == 1) {
                  pout.print(" ");
               }

               pout.print(s + ", ");
            }

            pout.print("-");

            for(int i = 0; i < nBytesRead; ++i) {
               char c = (char)bArray[i];
               if (!Character.isDigit(c) && !Character.isLowerCase(c) && !Character.isUpperCase(c)) {
                  c = '.';
               }

               pout.print(c);
            }

            pout.println(" ");
         }

         bout.flush();
      } catch (IOException var12) {
         System.out.println(((Throwable)var12).toString());
      }

   }
}
